Bug 843450 - Can't modify lab controller via web UI
Can't modify lab controller via web UI
Status: CLOSED NOTABUG
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.9
x86_64 Linux
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Raymond Mancy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 07:14 EDT by Filip Skola
Modified: 2016-05-05 00:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 00:23:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/beaker (244.47 KB, application/x-gzip)
2012-07-26 07:14 EDT, Filip Skola
no flags Details

  None (edit)
Description Filip Skola 2012-07-26 07:14:36 EDT
Created attachment 600485 [details]
/var/log/beaker

Description of problem:
When trying to add/remove/modify lab controller from admin->lab controllers in web UI, I'm running into HTTP 500 error. Ocasionally I get the error right after clicking on "lab controllers" page.

Version-Release number of selected component (if applicable):
RHEL 6.3
beaker-0.9.1-2.el6eng.noarch

How reproducible: always


Steps to Reproduce:
1. go to admin -> lab controllers
2. add / remove / change some detail of a controller
  
Actual results: 500 and nothing happens

Expected results:


Additional info:
server-debug.log:

2012-07-26 12:45:19,695 turbogears.identity.savisit INFO updating visit (6039f5232056aad7e9136bba07540d7f75c89f18) to expire at 2012-07-26 18:45:09.093403
2012-07-26 12:45:21,202 cherrypy.msg INFO HTTP: Page handler: <bound method LabControllers.save of <bkr.server.labcontroller.LabControllers object at 0x7faa02549510>>
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/CherryPy-2.3.0-py2.6.egg/cherrypy/_cphttptools.py", line 121, in _run
    self.main()
  File "/usr/lib/python2.6/site-packages/CherryPy-2.3.0-py2.6.egg/cherrypy/_cphttptools.py", line 264, in main
    body = page_handler(*virtual_path, **self.params)
  File "<string>", line 3, in save
  File "/usr/lib/python2.6/site-packages/turbogears/identity/conditions.py", line 249, in require
    return fn(self, *args, **kwargs)
  File "<string>", line 3, in save
  File "/usr/lib/python2.6/site-packages/turbogears/controllers.py", line 361, in expose
    *args, **kw)
  File "<generated code>", line 0, in run_with_transaction
  File "/usr/lib/python2.6/site-packages/peak/rules/core.py", line 153, in __call__
    return self.body(*args, **kw)
  File "/usr/lib/python2.6/site-packages/turbogears/database.py", line 463, in sa_rwt
    session.commit()
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/orm/scoping.py", line 139, in do
    return getattr(self.registry(), name)(*args, **kwargs)
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/orm/session.py", line 614, in commit
    self.transaction.commit()
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/orm/session.py", line 385, in commit
    self._prepare_impl()
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/orm/session.py", line 369, in _prepare_impl
    self.session.flush()
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/orm/session.py", line 1400, in flush
    self._flush(objects)
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/orm/session.py", line 1481, in _flush
    flush_context.execute()
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/orm/unitofwork.py", line 302, in execute
    rec.execute(self)
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/orm/unitofwork.py", line 446, in execute
    uow
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/orm/mapper.py", line 1887, in _save_obj
    execute(statement, params)
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/engine/base.py", line 1191, in execute
    params)
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/engine/base.py", line 1271, in _execute_clauseelement
    return self.__execute_context(context)
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/engine/base.py", line 1302, in __execute_context
    context.parameters[0], context=context)
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/engine/base.py", line 1401, in _cursor_execute
    context)
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/engine/base.py", line 1394, in _cursor_execute
    context)
  File "/usr/lib64/python2.6/site-packages/sqlalchemy/engine/default.py", line 299, in do_execute
    cursor.execute(statement, parameters)
  File "/usr/lib64/python2.6/site-packages/MySQLdb/cursors.py", line 173, in execute
    self.errorhandler(self, exc, value)
  File "/usr/lib64/python2.6/site-packages/MySQLdb/connections.py", line 36, in defaulterrorhandler
    raise errorclass, errorvalue
ProgrammingError: (ProgrammingError) (1146, "Table 'beaker.lab_controller_activity' doesn't exist") 'INSERT INTO lab_controller_activity (id, lab_controller_id) VALUES (%s, %s)' (358L, 1L)

2012-07-26 12:45:24,090 turbogears.identity.savisit INFO updating visit (91ebc4027066ca66366aef11db4b58483fae3bae) to expire at 2012-07-26 18:44:59.860429
Comment 3 Dan Callaghan 2012-08-13 00:23:24 EDT
Running beaker-init should create this missing table. Please re-open if you think there is a bug.

Note You need to log in before you can comment on or make changes to this bug.